Announcement Announcement Module
Collapse

Spring Dynamic Modules forum decommissioned in favor of Eclipse Gemini Blueprint

With the official first release of Eclipse Gemini Blueprint shipped, the migration of the Spring Dynamic Modules code base to the Eclipse Foundation, as part of the Gemini project, has been completed.

As such, this forum has been decommissioned in favour of the Eclipse Gemini forums.
See more
See less
The bundle could not be resolved. Reason: Missing Constraint: Import-Package Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • The bundle could not be resolved. Reason: Missing Constraint: Import-Package

    hi i make my first steps with sts and osgi

    i want to use a apache mina in my bundle but get

    Code:
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: org.apache.mina.core.buffer; version="0.0.0"
    	at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    	at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    	at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:280)
    	at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:272)
    	at org.eclipse.osgi.framework.internal.core.FrameworkCommandProvider._start(FrameworkCommandProvider.java:253)
    	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    	at java.lang.reflect.Method.invoke(Method.java:597)
    	at org.eclipse.osgi.framework.internal.core.FrameworkCommandInterpreter.execute(FrameworkCommandInterpreter.java:155)
    	at org.eclipse.osgi.framework.internal.core.FrameworkConsole.docommand(FrameworkConsole.java:303)
    	at org.eclipse.osgi.framework.internal.core.FrameworkConsole.console(FrameworkConsole.java:288)
    	at org.eclipse.osgi.framework.internal.core.FrameworkConsole.run(FrameworkConsole.java:224)
    	at java.lang.Thread.run(Thread.java:619)
    i use maven for project configuration and defined the dependency for mina.

    Code:
    <dependency>
    	<groupId>org.apache.mina</groupId>
    	<artifactId>com.springsource.org.apache.mina.core</artifactId>
    	<version>2.0.0.RC1</version>
    </dependency>
    with spring bundlor the manifest for my bundle is created

    Code:
    Import-Package: org.apache.mina.core.buffer,
     org.apache.mina.core.service,
     org.apache.mina.core.session,
     org.apache.mina.filter.codec,
     org.apache.mina.filter.codec.demux,
     org.apache.mina.filter.logging,
     org.apache.mina.handler.demux,
     org.apache.mina.proxy.utils,
     org.apache.mina.transport.socket.nio,
     org.osgi.framework,
     org.springframework.core.style,
     org.springframework.util
    so the dependency is in the manifest, too


    i recognized that the apache mina bundle is missing in my OSGi Run Configuration and donīt know how to add this in to it. Clicking to "Add Required Bundles" doesnīt solve. But "Validate Bundles" also shows the missing bundle.

    need help
Working...
X